Loading...
Searching...
No Matches
Dune::Amg::AggregationParameters Class Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Parameters needed for the aggregation process. More...

`#include <dune/istl/paamg/parameters.hh>`

Inheritance diagram for Dune::Amg::AggregationParameters:

## Public Member Functions

| AggregationParameters ()
| Constructor.
void | setDefaultValuesIsotropic (std::size_t dim, std::size_t diameter=2)
| Sets reasonable default values for an isotropic problem.
void | setDefaultValuesAnisotropic (std::size_t dim, std::size_t diameter=2)
| Sets reasonable default values for an anisotropic problem.
std::size_t | maxDistance () const
| Get the maximal distance allowed between two nodes in a aggregate.
void | setMaxDistance (std::size_t distance)
| Set the maximal distance allowed between two nodes in a aggregate.
bool | skipIsolated () const
| Whether isolated aggregates will not be represented on the coarse level.
void | setSkipIsolated (bool skip)
| Set whether isolated aggregates will not be represented on the coarse level.
std::size_t | minAggregateSize () const
| Get the minimum number of nodes a aggregate has to consist of.
void | setMinAggregateSize (std::size_t size)
| Set the minimum number of nodes a aggregate has to consist of.
std::size_t | maxAggregateSize () const
| Get the maximum number of nodes a aggregate is allowed to have.
void | setMaxAggregateSize (std::size_t size)
| Set the maximum number of nodes a aggregate is allowed to have.
std::size_t | maxConnectivity () const
| Get the maximum number of connections a aggregate is allowed to have.
void | setMaxConnectivity (std::size_t connectivity)
| Set the maximum number of connections a aggregate is allowed to have.
void | setBeta (double b)
| Set threshold for marking nodes as isolated. The default value is 1.0E-5.
double | beta () const
| Get the threshold for marking nodes as isolated. The default value is 1.0E-5.
void | setAlpha (double a)
| Set the scaling value for marking connections as strong. Default value is 1/3.
double | alpha () const
| Get the scaling value for marking connections as strong. Default value is 1/3.

## Detailed Description

Parameters needed for the aggregation process.

The documentation for this class was generated from the following file:

- parameters.hh